Drobo

New Drobo on a legacy mac mini?

I would like to buy a new Drobo to backup an old mac mini “server”
The mac mini is running OS Yosemite 10.10.5
It has a custom app running on it that syncs 1.5TB of data between three other locations.
The apps does not have a new version to upgrade the OS. (I’ve tried)

Is there a way for me to load a older version of drobo dashboard, and or firmware to operate on this old mac mini?

I have a newer model (DRDR6-A P/N 933-00001-001 ) drobo and initially was not able to get this to work on the mac mini.

Any ideas?

Thank you,

Alan Lenning